Name:           arx-libertatis
Version:        1.1.2
Release:        %mkrel 9
Summary:        Cross-platform port of the GPL'ed Arx Fatalis game by Arkane Studios
Group:          Games/Adventure
License:        GPLv3
URL:            http://www.arx-libertatis.org
Source0:        http://downloads.sourceforge.net/arx/%{name}-%{version}.tar.xz
Patch0:         arx-libertatis-1.1.2-cmake3.5.patch
BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(zlib)
# Dependencies of the crash reporter
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
Recommends:     innoextract

%description
Arx Libertatis is a cross-platform, open source port of Arx Fatalis, a 2002
first-person role-playing game/dungeon crawler developed by Arkane Studios.

Arx Fatalis features crafting, melee and ranged combat, as well as a unique
casting system where the player draws runes in real time to effect the
desired spell.

Arx Libertatis is based on the publicly released Arx Fatalis sources and
available under the GPL 3+ license. This does however not include the game
data, so you need to obtain a copy of the original Arx Fatalis or its demo
to play Arx Libertatis. See Arx Libertatis' wiki for more information.

%prep
%setup -q
%autopatch -p1

%build
%cmake -DCMAKE_INSTALL_BINDIR=%{_gamesbindir} \
       -DBUILD_CRASHREPORTER=ON
%make

%install
%makeinstall_std -C build

%files
%{_gamesbindir}/arx*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_libexecdir}/arxcrashreporter
%{_mandir}/man1/arx*
%{_mandir}/man6/arx*


%changelog
* Tue Mar 22 2016 wally <wally> 1.1.2-9.mga6
+ Revision: 994120
- add patch to fix build with CMake 3.5

* Sat Feb 13 2016 umeabot <umeabot> 1.1.2-8.mga6
+ Revision: 959541
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 1.1.2-7.mga6
+ Revision: 868762
- Rebuild for glew 1.13.0

* Wed Jun 24 2015 akien <akien> 1.1.2-6.mga6
+ Revision: 841995
- Rebuild for GLEW 1.12

* Thu Oct 30 2014 akien <akien> 1.1.2-5.mga5
+ Revision: 794708
- Recommend innoextract, it is needed to extract game data from a Windows .exe installer

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-4.mga5
+ Revision: 746143
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-3.mga5
+ Revision: 677910
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 1.1.2-2.mga5
+ Revision: 670257
- rebuild for glew

* Mon Mar 10 2014 akien <akien> 1.1.2-1.mga5
+ Revision: 601704
- imported package arx-libertatis

